| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Defines | Variables | Functions
arm_linear_interp_example_f32.c File Reference

## Defines

#define | SNR_THRESHOLD
#define | TEST_LENGTH_SAMPLES
#define | XSPACING

## Variables

float32_t | testInputSin_f32 [TEST_LENGTH_SAMPLES]
float32_t | testRefSinOutput32_f32 [TEST_LENGTH_SAMPLES]
float32_t | testOutput [TEST_LENGTH_SAMPLES]
float32_t | testLinIntOutput [TEST_LENGTH_SAMPLES]
const float | arm_linear_interep_table [188495]
float32_t | snr1
float32_t | snr2

## Functions

int32_t | main (void)

## Define Documentation

#define SNR_THRESHOLD

#define TEST_LENGTH_SAMPLES

Referenced by main().

#define XSPACING

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

## Variable Documentation

const float arm_linear_interep_table[188495]

Referenced by main().

float32_t snr1

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t snr2

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t testInputSin_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t testLinIntOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

float32_t testOutput[TEST_LENGTH_SAMPLES]

float32_t testRefSinOutput32_f32[TEST_LENGTH_SAMPLES]

Examples:
  arm_linear_interp_example_f32.c.

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

References arm_linear_interep_table, arm_linear_interp_f32(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_sin_f32(), arm_snr_f32(), snr1, snr2, status, TEST_LENGTH_SAMPLES, testInputSin_f32, testLinIntOutput, testOutput, testRefSinOutput32_f32, and XSPACING.